package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class AUnitJunitHudsonTestType extends TestType {

private static TestTypeDescriptor<? extends TestType> DESCRIPTOR = new AUnitJunitHudsonTestType.DescriptorImpl();

@DataBoundConstructor
public AUnitJunitHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<? extends TestType> getDescriptor() {
 return  DESCRIPTOR;
}

@Extension
public static class DescriptorImpl  extends TestTypeDescriptor<AUnitJunitHudsonTestType> {

  public DescriptorImpl() {
     super(AUnitJunitHudsonTestType.class, com.thalesgroup.dtkit.junit.AUnit.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.junit.AUnit";
}

}

}
